Package Details: quickbms 0.10.1-2

Git Clone URL: https://aur.archlinux.org/quickbms.git (read-only, click to copy)
Package Base: quickbms
Description: Files extractor and reimporter, archives and file formats parser, advanced tool for reversers and power users and much more.
Upstream URL: http://aluigi.altervista.org/quickbms.htm
Licenses: GPL2
Submitter: z3ntu
Maintainer: z3ntu
Last Packager: z3ntu
Votes: 6
Popularity: 0.45
First Submitted: 2016-06-14 08:00
Last Updated: 2020-12-06 13:30

Latest Comments

roelkluin commented on 2020-09-06 15:19

Compilation did finish after disabling pie and making some variables static: https://pastebin.pl/view/a7128e3a

z3ntu commented on 2020-08-30 19:15

I've contacted upstream about the compile problem:

I will check what I can do when I will work on the next version of quickbms.

Currently I have no easy work-around for that, [...]

reztho commented on 2020-08-30 09:40

Here compilation ends here with:

/usr/bin/ld: /tmp/ccWt3idR.o: warning: relocation in read-only section `.text'
/usr/bin/ld: warning: creating DT_TEXTREL in a PIE
collect2: error: ld returned 1 exit status
make: *** [Makefile:44: all] Error 1

, so I don't have a working package to install after all.

ChristianHein commented on 2020-03-03 14:45

Source code zip seems to have moved to https://aluigi.altervista.org/papers/quickbms-src-${pkgver}.zip.
The current link (http://aluigi.altervista.org/papers/quickbms_src.zip) gives me a 404 Page Not Found error.

ccoors commented on 2019-10-12 16:53

Maybe this package should be built twice, one with -DQUICKBMS64 added to CDEFS and install the binary as quickbms_4gb_files.

z3ntu commented on 2018-01-29 16:57

@thmxvr: Just mark the package out-of-date next time :)

thmxvr commented on 2018-01-29 16:34

Checksum error since the source zip is actually 0.8.3 and not 0.8.2a

z3ntu commented on 2017-05-10 11:56

Thanks @eientei95. I sent an email to the author so hopefully he'll update it but until then I'm working on compiling it with openssl-1.0. :)

eientei95 commented on 2017-05-10 11:13

Needs to be built against OpenSSL 1.0.0

z3ntu commented on 2016-06-14 08:01

Hopefully the dependencies are right. With these, the application will compile on a new chroot.